
CoCoALib - Feature #1483

IsPowerOf2 for rationals

14 Sep 2020 13:08 - John Abbott

Status: Closed Start date: 14 Sep 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.25 hour

Target version: CoCoALib-0.99800 Spent time: 0.25 hour

Description

Add new function IsPowerOf2 for BigRat.

It already exists for BigInt.

History

#1 - 14 Sep 2020 13:10 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 0.25 h

Added new function IsPowrerOf2 for BigRat.  Gives false if arg is not strictly positive.

Impl is simple rather than extra fast.

#2 - 26 Oct 2020 21:38 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
